Package org.springframework.security.access.prepost

# Class PrePostAdviceReactiveMethodInterceptor

java.lang.Object
org.springframework.security.access.prepost.PrePostAdviceReactiveMethodInterceptor

All Implemented Interfaces:
  `org.aopalliance.aop.Advice`, `org.aopalliance.intercept.Interceptor`, `org.aopalliance.intercept.MethodInterceptor`

@Deprecated public class PrePostAdviceReactiveMethodInterceptor extends Object implements org.aopalliance.intercept.MethodInterceptor
Deprecated.
Use `AuthorizationManagerBeforeReactiveMethodInterceptor` or `AuthorizationManagerAfterReactiveMethodInterceptor`
A `MethodInterceptor` that supports `PreAuthorize` and `PostAuthorize` for methods that return `Mono` or `Flux` and Kotlin coroutine functions.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`PrePostAdviceReactiveMethodInterceptor(MethodSecurityMetadataSource attributeSource, PreInvocationAuthorizationAdvice preInvocationAdvice, PostInvocationAuthorizationAdvice postInvocationAdvice)`
Deprecated.
Creates a new instance

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(org.aopalliance.intercept.MethodInvocation invocation)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrePostAdviceReactiveMethodInterceptor

public PrePostAdviceReactiveMethodInterceptor(MethodSecurityMetadataSource attributeSource, PreInvocationAuthorizationAdvice preInvocationAdvice, PostInvocationAuthorizationAdvice postInvocationAdvice)
Deprecated.
Creates a new instance

Parameters:
  `attributeSource` - the `MethodSecurityMetadataSource` to use
  `preInvocationAdvice` - the `PreInvocationAuthorizationAdvice` to use
  `postInvocationAdvice` - the `PostInvocationAuthorizationAdvice` to use

## Method Details

### invoke

public Object invoke(org.aopalliance.intercept.MethodInvocation invocation)
Deprecated.

Specified by:
  `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`